summaryrefslogtreecommitdiff
path: root/idvoc-2025/metrics/start.sh
diff options
context:
space:
mode:
Diffstat (limited to 'idvoc-2025/metrics/start.sh')
-rwxr-xr-xidvoc-2025/metrics/start.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/idvoc-2025/metrics/start.sh b/idvoc-2025/metrics/start.sh
new file mode 100755
index 0000000..e1bab25
--- /dev/null
+++ b/idvoc-2025/metrics/start.sh
@@ -0,0 +1,10 @@
+#!/usr/bin/env bash
+
+set -eExuo pipefail
+
+# This basic script is needed to cope with the PIE's limitation regarding
+# docker and each student's home directory. One cannot mount with docker
+# files from home directory.
+
+cp prometheus.yml /tmp/prometheus.yml
+docker compose up -d || docker-compose up -d